Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.plugins.netbeans
Class CheckAction

    rj.tools.jcsc.plugins.netbeans.CheckAction

public class CheckAction

Run JCSC on a give node.

Version:
  $Revision: 1.4 $
Author:
  Ralph Jocham

Constructor Summary
`CheckAction()`

Method Summary
`protected java.lang.Class[]` | `cookieClasses()` Boilerplate method.
`protected boolean` | `enable(org.openide.nodes.Node[] nodes)` Boilerplate method.
`rj.tools.jcsc.plugins.netbeans.HelpCtx` | `getHelpCtx()` Boilerplate method.
`java.lang.String` | `getName()` Get this object name - should probably use some of the I18N stuff.....
`protected java.lang.String` | `iconResource()`
`protected int` | `mode()` Boilerplate method.
`void` | `outputLineAction(org.openide.windows.OutputEvent outputEvent)` Boilerplate method.
`void` | `outputLineCleared(org.openide.windows.OutputEvent outputEvent)` Boilerplate method.
`void` | `outputLineSelected(org.openide.windows.OutputEvent outputEvent)` Boilerplate method.
`protected void` | `performAction(javax.swing.text.Document d, javax.swing.text.Caret c)` Triggered on the source file they requested.
`protected void` | `performAction(org.openide.nodes.Node[] nodes)` Boilerplate method.
`void` | `setOptions()` Set the system options to the defaults for the JCSC.

Constructor Detail

### CheckAction

    public CheckAction()

Method Detail

### performAction

    protected void performAction(javax.swing.text.Document d,
                                 javax.swing.text.Caret c)
                          throws javax.swing.text.BadLocationException

  Triggered on the source file they requested.
  Parameters:
    `d` - a document open in the editor pane
    `c` - the caret giving cursor position, selection, etc.
  Throws:
    `javax.swing.text.BadLocationException` - under some circumstances I don't understand yet!

### getName

    public java.lang.String getName()

  Get this object name - should probably use some of the I18N stuff.....
  Returns:
    Display name.

### iconResource

    protected java.lang.String iconResource()

### setOptions

    public void setOptions()

  Set the system options to the defaults for the JCSC.

### cookieClasses

    protected java.lang.Class[] cookieClasses()

  Boilerplate method.
  Returns:
    set of cookies.

### mode

    protected int mode()

  Boilerplate method.
  Returns:
    mode

### enable

    protected boolean enable(org.openide.nodes.Node[] nodes)

  Boilerplate method.
  Parameters:
    `nodes` - set of nodes.
  Returns:
    unsure

### performAction

    protected void performAction(org.openide.nodes.Node[] nodes)

  Boilerplate method.
  Parameters:
    `nodes` - set of nodes.

### getHelpCtx

    public rj.tools.jcsc.plugins.netbeans.HelpCtx getHelpCtx()

  Boilerplate method.
  Returns:
    help context setting.

### outputLineAction

    public void outputLineAction(org.openide.windows.OutputEvent outputEvent)

  Boilerplate method.
  Parameters:
    `outputEvent` - outputEvent

### outputLineCleared

    public void outputLineCleared(org.openide.windows.OutputEvent outputEvent)

  Boilerplate method.
  Parameters:
    `outputEvent` - outputEvent

### outputLineSelected

    public void outputLineSelected(org.openide.windows.OutputEvent outputEvent)

  Boilerplate method.
  Parameters:
    `outputEvent` - outputEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License